%define	name	ktorrent
%define	version 2.0.2
%define	rel	1
%define	release	%mkrel %{rel}

%define	major	0
%define	libname	%mklibname %{name} %{major}

Summary:	BitTorrent program for KDE
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Networking/File transfer
License:	GPL
Url:		http://ktorrent.pwsp.net/
Source0:	%{name}-%{version}.tar.bz2
BuildRequires:	kdelibs-devel
Requires:	%{libname} = %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Patch1:		ktorrent-2.0-fix-compile.patch
BuildRequires:	gmp-devel

%description
KTorrent is a BitTorrent program for KDE. It's main features are:
 o Downloads torrent files
 o Upload speed capping, seeing that most people can't upload
   infinite amounts of data.
 o Internet searching using  The Bittorrent website's search engine
 o UDP Trackers

%package -n	%{libname}
Group:		System/Libraries
Summary:	Libraries for %{name}

%description -n	%{libname}
The libraries from %{name} package


%prep
%setup -q -n %{name}-%{version}
#%patch1 -p0 -b .fix_link

%build
%configure2_5x	--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-rpath \
		--disable-embedded \
		--enable-fast-install=yes \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
		--with-qt-dir=%{_prefix}/lib/qt3 \
		--with-xinerama \
		--enable-final
%make
 
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "Internet/File transfer" $RPM_BUILD_ROOT%{_datadir}/applnk/Internet/%{name}.desktop $RPM_BUILD_ROOT%{_menudir}/%{name} kde

install -m644 apps/ktorrent/hi16-app-ktorrent.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 apps/ktorrent/hi32-app-ktorrent.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 apps/ktorrent/hi48-app-ktorrent.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%find_lang %{name}
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.{so,la}

#Fix Conflictss with kdelibs-common
rm -f $RPM_BUILD_ROOT%{_datadir}/mimelnk/application/x-bittorrent.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig
 
%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README
%{_bindir}/*

%{_datadir}/config.kcfg/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_datadir}/apps/%{name}
%{_datadir}/applnk/Internet/%{name}.desktop
%{_menudir}/%{name}
%{_datadir}/applications/kde/%{name}.desktop 
%{_datadir}/config.kcfg/%{name}.kcfg
%{_iconsdir}/hicolor/scalable/apps/%{name}.svgz
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png 
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/mimetypes/*.png
%{_iconsdir}/hicolor/*/mimetypes/*.svgz

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.*
%{_libdir}/kde3

%changelog
* Wed Aug 30 2006 Laurent MONTEL <lmontel@mandriva.com> 2.0.2-1
- 2.0.2

* Mon Aug 28 2006 Laurent MONTEL <lmontel@mandriva.com> 2.0.1-1
- 2.0.1

* Mon Aug 14 2006 Laurent MONTEL <lmontel@mandriva.com> 2.0-1
- 2.0

* Mon Jun 19 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.0-0.beta1.2mdv2007.0
- Fix conflicts with kdelibs-common
 
* Mon Jun 19 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.0-0.beta1.0mdv2007.0
- 2.0 Beta1
- Rediff Patch1
- Fix file list

* Fri May 26 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2-4mdv2007.0
- fix requires (lib64)
- drop useless devel package
- add back icons for non-kde
- simplify %%files

* Fri May 26 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2-3mdv2007.0
- add dependency on libtorrent

* Fri May 19 2006 Laurent MONTEL <lmontel@mandriva.com> 1.2-2
- 1.2
- Add patch1: fix link
- Fix build on x86_64

* Mon Jul 18 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-2mdk
- fix summary (thx Bruno!)

* Mon Jul 18 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-1mdk
- initial release (club request)
